﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Collections.Specialized;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid.Grouping;
using System.Diagnostics;
using Syncfusion.GridExcelConverter;
using Syncfusion.GroupingGridExcelConverter;
using Syncfusion.GridHelperClasses;
using System.Reflection;
using System.IO;
using Syncfusion.Diagnostics;

namespace GCselection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            // Application.CurrentCulture = new System.Globalization.CultureInfo("en-AU");
            GridEngineFactory.Factory = new Syncfusion.GridHelperClasses.AllowResizingIndividualRows();
            InitializeComponent();
        }
        ImageList img;
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridGroupingControl1.DataSource = GetTable();
            this.gridGroupingControl1.TableDescriptor.Columns["Criteria Value"].Appearance.AnyRecordFieldCell.ShowButtons = GridShowButtons.Hide;

            this.gridGroupingControl1.TableDescriptor.Columns["Criteria Value"].Appearance.AnyRecordFieldCell.Format = GetSystemDateFormat();
            this.gridGroupingControl1.TableDescriptor.Columns["Criteria Value"].Appearance.AnyRecordFieldCell.CellType = GridCellTypeName.MonthCalendar;


            
            this.gridGroupingControl1.QueryCellStyleInfo += new GridTableCellStyleInfoEventHandler(gridGroupingControl1_QueryCellStyleInfo);
            this.gridGroupingControl1.TableModel.ColWidths[4] += 40;

            img = new ImageList();
            img.Images.Add(GetImage("four.jpg"));
        }




        void gridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.RowIndex > 3 && e.TableCellIdentity.ColIndex == 4)
            {
                e.Style.ImageList = img;
                e.Style.ImageIndex = 0;
                e.Style.ImageSizeMode = GridImageSizeMode.AutoSize;
                e.Style.TextMargins.Left = 20;
                e.Style.BackColor = Color.Blue;
            }
        }
        private Image GetImage(string bitmapName)
        {
            Image bitmap = null;

            try
            {
                Assembly ass = typeof(Form1).Assembly;
                string name = ass.GetName().Name;
                Stream stream = ass.GetManifestResourceStream(name + "." + bitmapName);
                bitmap = Image.FromStream(stream);
            }
            catch (Exception ex)
            {
                TraceUtil.TraceExceptionCatched(ex);
            }

            return bitmap;
        }


        private string GetSystemDateFormat()
        {
            string format = System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.ShortDatePattern;
            format = format.Replace("M", "MM"); //set month format.
            format = format.Replace("d", "dd"); //set day fomat.
            return format;
        }
        private DataTable GetTable()
        {
            DataTable dt = new DataTable("MyTable");

            dt.Columns.Add(new DataColumn("Criteria", typeof(string)));
            dt.Columns.Add(new DataColumn("Criteria Value", typeof(DateTime)));
            dt.Columns.Add(new DataColumn("History", typeof(string)));
            dt.Columns.Add(new DataColumn("Picture"));


            dt.Rows.Add(new object[] { "Issue1", DateTime.Today.Date, "Trader1", "Sample1" });
            dt.Rows.Add(new object[] { "Issue5", DateTime.Today.Date, "Trader3", "Sample1" });
            dt.Rows.Add(new object[] { "Issue2", DateTime.Today.Date, "Trader2", "Sample1" });
            dt.Rows.Add(new object[] { "Issue4", DateTime.Today.Date, "Trader5", "Sample1" });
            dt.Rows.Add(new object[] { "Issue3", DateTime.Today.Date, "Trader4", "Sample1" });

            return dt;
        }

    }
}